import { IHypernetCore, MerchantUrl } from "@hypernetlabs/objects";
import { IHypernetWebUI } from "@hypernetlabs/web-ui";
import { ResultAsync } from "neverthrow";
import HypernetIFrameProxy from "../../implementations/proxy/HypernetIFrameProxy";
import { IHypernetWebIntegration } from "../../interfaces/app/IHypernetWebIntegration";
export default class HypernetWebIntegration implements IHypernetWebIntegration {
    private static instance;
    protected iframeURL: string;
    protected currentMerchantUrl: MerchantUrl | undefined | null;
    protected getReadyTimeout: number;
    protected getReadyResult: ResultAsync<IHypernetCore, Error> | undefined;
    protected getReadyResolved: boolean;
    webUIClient: IHypernetWebUI;
    core: HypernetIFrameProxy;
    constructor(iframeURL?: string);
    getReady(): ResultAsync<IHypernetCore, Error>;
    static getInstance(): IHypernetWebIntegration;
    displayMerchantIFrame(merchantUrl: MerchantUrl): void;
    closeMerchantIFrame(merchantUrl: MerchantUrl): void;
    private _prepareIFrameContainer;
}
//# sourceMappingURL=HypernetWebIntegration.d.ts.map